/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Brutus e-book backend factory class.
 *
 *    Authors:
 *        Jules Colding <colding@42tools.com>
 *
 *    Copyright (C) 2007 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA 02111-1307 USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <fcntl.h>
#include <signal.h>
#include <errno.h>

#include <glib.h>
#include <glib/gstdio.h>
#include <glib-object.h>
#include <libedata-book/e-book-backend-factory.h>

#include <server/brutus.h>
#include <server/brutus_eds.h>
#include <session/brutusd.h>

#include "e-book-backend-brutus-factory.h"
#include "e-book-backend-brutus.h"


E_BOOK_BACKEND_FACTORY_SIMPLE(brutus, Brutus, e_book_backend_brutus_new)

static GType brutus_type;

void
eds_module_initialize(GTypeModule *module)
{
	d("Initializing evolution-brutus runtime environment");
	if (!brutus_eds_initialize())
		d("WARNING: Possible initialization error for evolution-brutus runtime environment");

	brutus_type = _brutus_factory_get_type(module);
}

void
eds_module_shutdown(void)
{
}

void
eds_module_list_types(const GType **types,
		      int *num_types)
{
	*types = &brutus_type;
	*num_types = 1;
}
